package com.sf.game;

import com.sf.game.obj.BgObj;
import com.sf.game.obj.PlaneObj;
import com.sf.game.utils.GameUtils;

import javax.swing.*;
import java.awt.*;

//启动类
public class GameWin extends JFrame {
    //记录游戏的状态
    // 0 未开始  1  游戏中  2 暂停  3 失败  4 成功通关
    public static int state = 0;
    //创建背景图片
    BgObj bgObj = new BgObj(GameUtils.bdImg,0,-1800,2);
    //定义一个图片的变量
    Image offScreenImage = null;
    // 我方法飞机对象
    PlaneObj planeObj = new PlaneObj(GameUtils.planeImg,37,41,290,550,0,this);
    //记录游戏绘画的次数
    int count = 1;





    //定一个变量来存储分数
    public static int score = 0;

    //我方飞机的下标
    public static int planeindex = 0;
    public void launch(){
        //设置游戏窗口的大小--前提可见
        this.setVisible(true);
        //设置窗口的大小
        this.setSize(600,800);
        //窗口的位置
        this.setLocationRelativeTo(null);
        //设置标题
        this.setTitle("爱扣钉飞机大战~");
        //关闭窗口后自动结束进程
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        //将所有的要绘画的游戏物件全部放在集合中
        GameUtils.gameObjList.add(bgObj);
        GameUtils.gameObjList.add(planeObj);
        planeindex= GameUtils.gameObjList.indexOf(planeObj);  //获取我放飞机的下标
    }

    public static void main(String[] args) {
        GameWin gameWin = new GameWin();
        gameWin.launch();
    }
}
